import { BaseCrudService, IOrchestratorApi } from '..';
import { IAssetCrudService } from '../Interfaces';
export declare class AssetCrudService extends BaseCrudService implements IAssetCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    findAllEx(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: number): Promise<any>;
    update(asset: any): Promise<any>;
    create(asset: any): Promise<any>;
    delete(id: number): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
    upload(inputFullPath: string, sheetName?: string, allProperty?: boolean): Promise<any>;
    uploadPerRobot(inputFullPath: string, perRobotInputFullPath: string, sheetName?: string, perRobotSheetName?: string, allProperty?: boolean): Promise<any>;
    findByAssetName(perRobotInstances: Array<any>, assetName: string): Promise<Array<any> | undefined>;
    addRoboId(value: any, api: IOrchestratorApi): Promise<any>;
}
