import { BaseCrudService, IOrchestratorApi } from '..';
import { IFolderCrudService } from '../Interfaces';
export declare class FolderCrudService extends BaseCrudService implements IFolderCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: number): Promise<any>;
    _findByName(name: string): Promise<Array<any>>;
    findByDisplayName(name: string): Promise<any>;
    create(folder: any): Promise<any>;
    update(folder: any): Promise<any>;
    delete(id: number): Promise<any>;
    assignUsers(folderId: number, userIds: Array<number>): Promise<any>;
    removeUser(folderId: number, userId: number): Promise<any>;
    getUsers(folderId: number, queries?: any, asArray?: boolean): Promise<Array<any>>;
    getFolders(userName: string): Promise<any>;
    removeFolders(folderIds: Array<number>, userDelete?: boolean): Promise<void>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
    _getUserFolders(userNames: Array<string>): Promise<any[]>;
}
