import { BaseCrudService, IOrchestratorApi } from '..';
import { IJobCrudService } from '../Interfaces';
export declare class JobCrudService extends BaseCrudService implements IJobCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    findAllEx(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: number): Promise<any>;
    _startJobs(startInfo: any): Promise<any>;
    startJobs(processKey: string, robotNames: string[], jobsCount?: number): Promise<any>;
    stopJob(jobId: number, force?: boolean): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
}
