import { BaseCrudService, IOrchestratorApi } from '..';
import { IQueueItemCrudService } from '../Interfaces';
export declare class QueueItemCrudService extends BaseCrudService implements IQueueItemCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(queueItemId: number): Promise<any>;
    create(queue: any): Promise<any>;
    delete(queueItemId: number): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
}
