import { BaseCrudService, IOrchestratorApi } from '..';
import { IRobotCrudService } from '../Interfaces';
export declare class RobotCrudService extends BaseCrudService implements IRobotCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: number): Promise<any>;
    _findByName(name: string): Promise<Array<any>>;
    findByRobotName(name: string): Promise<any>;
    create(robot: any): Promise<any>;
    update(robot: any): Promise<void>;
    delete(id: number): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
    upload(inputFullPath: string, sheetName?: string, allProperty?: boolean): Promise<any>;
}
