import { BaseCrudService, IOrchestratorApi } from '..';
import { ISettingCrudService } from '../Interfaces';
export declare class SettingCrudService extends BaseCrudService implements ISettingCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: string): Promise<any>;
    findByKey(queries?: any): (...keys: string[]) => Promise<Array<any>>;
    findByKeyFromArray(apiResults: any[]): (...keys: string[]) => Array<any>;
    private _findByKeyFromArray;
    update(settingObjs: any[]): Promise<any>;
    readSettingsFromFile(fullPath: string, sheetName?: string): Promise<any[]>;
    getWebSettings(): Promise<Array<any>>;
    save2Excel(settings: any[], outputFullPath: string, templateFullPath?: string, // テンプレファイルは、指定されたファイルか、このソースがあるディレクトリ上のtemplateSettings.xlsxを使う
    sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
}
