import { BaseCrudService, IOrchestratorApi } from '..';
import { ITenantCrudService } from '../Interfaces';
export declare class TenantCrudService extends BaseCrudService implements ITenantCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: number): Promise<any>;
    _findByName(name: string): Promise<Array<any>>;
    findByName(name: string): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
}
