import { BaseCrudService, IOrchestratorApi } from '..';
import { IUserCrudService } from '../Interfaces';
export declare class UserCrudService extends BaseCrudService implements IUserCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: number): Promise<any>;
    _findByUserName(userName: string): Promise<Array<any>>;
    findByUserName(userName: string): Promise<any>;
    update(user: any): Promise<any>;
    create(user: any): Promise<any>;
    delete(id: number): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, // テンプレファイルは、指定されたファイルか、このソースがあるディレクトリ上のtemplateUsers.xlsxを使う
    sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
    upload(inputFullPath: string, sheetName?: string, allProperty?: boolean): Promise<any>;
}
