import { BaseCrudService, IOrchestratorApi } from '..';
import { IAuditLogCrudService } from '../Interfaces';
export declare class AuditLogCrudService extends BaseCrudService implements IAuditLogCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    findByFilter(filters: {
        action?: string;
        userName?: string;
        component?: string;
        methodName?: string;
        from?: Date;
        to?: Date;
    }, obj?: any, asArray?: boolean): Promise<Array<any>>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
}
