import { BaseCrudService, IOrchestratorApi } from '..';
import { IEnvironmentCrudService } from '../Interfaces';
export declare class EnvironmentCrudService extends BaseCrudService implements IEnvironmentCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: number): Promise<any>;
    create(environment: any): Promise<any>;
    update(environment: any): Promise<any>;
    delete(id: number): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
}
