import { BaseCrudService, IOrchestratorApi } from '..';
import { IHostLicenseCrudService } from '../Interfaces';
export declare class HostLicenseCrudService extends BaseCrudService implements IHostLicenseCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: number): Promise<any>;
    create(hostLicense: any): Promise<any>;
    update(hostLicense: any): Promise<any>;
    delete(id: number): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
}
