import { BaseCrudService, IOrchestratorApi, LicenseNamedUserDto, LicenseRuntimeDto } from '..';
import { ILicenseCrudService } from '../Interfaces';
export declare class LicenseCrudService extends BaseCrudService implements ILicenseCrudService {
    constructor(parent: IOrchestratorApi);
    find(): Promise<any>;
    getRuntimeLicenses(robotType: string, queries?: any, asArray?: boolean): Promise<LicenseRuntimeDto[]>;
    getNamedUserLicenses(robotType: string, queries?: any, asArray?: boolean): Promise<LicenseNamedUserDto[]>;
}
