import { BaseCrudService, IOrchestratorApi } from '..';
import { IMachineCrudService } from '../Interfaces';
export declare class MachineCrudService extends BaseCrudService implements IMachineCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: number): Promise<any>;
    _findByMachineName(machineName: string): Promise<Array<any>>;
    findByMachineName(machineName: string): Promise<any>;
    create(machine: any): Promise<any>;
    update(machine: any): Promise<void>;
    delete(id: number): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
    save2ExcelBlob(instances: any[], sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<Blob>;
    upload(inputFullPath: string, sheetName?: string, allProperty?: boolean): Promise<any[]>;
}
