"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueueCrudService = void 0;
const __1 = require("..");
const utils_1 = require("../utils");
class QueueCrudService extends __1.BaseCrudService {
    constructor(parent) {
        super(parent);
    }
    getQueueAndStartTransaction(queueName) {
        return utils_1.postData(this.parent.config, this.parent.accessToken, '/odata/Queues/UiPathODataSvc.StartTransaction', {
            transactionData: {
                Name: queueName,
                RobotIdentifier: this.parent.accessToken,
            },
        });
    }
    setTransactionResult(queueItemId, statusObj) {
        return utils_1.postData(this.parent.config, this.parent.accessToken, `/odata/Queues(${queueItemId})/UiPathODataSvc.SetTransactionResult`, statusObj);
    }
}
exports.QueueCrudService = QueueCrudService;
//# sourceMappingURL=QueueCrudService.js.map