import { BaseCrudService, IOrchestratorApi } from '..';
import { IReleaseCrudService } from '../Interfaces';
export declare class ReleaseCrudService extends BaseCrudService implements IReleaseCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    _findByProcessName(name: string): Promise<Array<any>>;
    findByProcessKey(processKey: string): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
}
