import { BaseCrudService, IOrchestratorApi } from '..';
import { IRoleCrudService } from '../Interfaces';
export declare class RoleCrudService extends BaseCrudService implements IRoleCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    find(id: number): Promise<any>;
    findDetail(...keys: string[]): (...methods: ('' | 'View' | 'Edit' | 'Create' | 'Delete')[]) => Promise<Array<any>>;
    update(role: any): Promise<any>;
    create(role: any): Promise<any>;
    delete(id: number): Promise<any>;
}
