import { IOrchestratorApi } from '..';
import { IUtilService } from '../Interfaces';
export declare class UtilService implements IUtilService {
    api: IOrchestratorApi;
    constructor(api: IOrchestratorApi);
    excelDownload(outputFullDir: string): Promise<string[]>;
    _excelDownloadPerFolder(outputFullDir: string, organizationUnitId: number): Array<Promise<string>>;
    _excelDownload(outputFullDir: string): Array<Promise<string>>;
    excelDownloadForHost(outputFullDir: string): Promise<string[]>;
    /**
     * 指定したパスにあるExcelファイルを読み込んで、console.table を使ってコンソールにダンプします。
     * @param fullPaths
     */
    excel2Console(...fullPaths: Array<string>): Promise<void>;
}
